# Generated from puppet-lint-trailing_comma-check-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-lint-trailing_comma-check

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: A puppet-lint plugin to check for missing trailing commas
License: Apache-2.0
URL: https://github.com/voxpupuli/puppet-lint-trailing_comma-check
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildArch: noarch

%description
A puppet-lint plugin to check for missing trailing commas.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Fri Apr 21 2023 mockbuilder - 2.0.0-1
- Initial package
